org.eclipse.emf.cdo.common.revision.delta

## Interface CDOSetFeatureDelta

- All Superinterfaces:
    CDOFeatureDelta

      public interface CDOSetFeatureDelta
      extends CDOFeatureDelta

  A `feature delta` that represents a value change of a single-valued `feature`.
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `CDOFeatureDelta.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `UNSPECIFIED` Deprecated. As of 4.6 use `CDOFeatureDelta.UNKNOWN_VALUE`.

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `NO_INDEX, UNKNOWN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()`
    `java.lang.Object` | `getOldValue()`
    `java.lang.Object` | `getValue()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `accept, apply, applyTo, copy, getFeature, getType, isStructurallyEqual`

- - ### Field Detail

    - #### UNSPECIFIED

          @Deprecated
          static final java.lang.Object UNSPECIFIED

      Deprecated. As of 4.6 use `CDOFeatureDelta.UNKNOWN_VALUE`.
      Since:
        4.0

  - ### Method Detail

    - #### getIndex

          int getIndex()

    - #### getValue

          java.lang.Object getValue()

    - #### getOldValue

          java.lang.Object getOldValue()

      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html